Name: vegastrike
Version: 0.4.3
Release: alt1
Summary: A free 3D space fight simulator
Summary(ru_RU.KOI8-R): 3D  
License: GPL
Group: Games/Arcade
Url: http://vegastrike.sourceforge.net
Source0: %name-%version.tar.bz2
Source1: %name-manpages.tar.bz2
Source2: %name-0.4.3-setup.tar.bz2
Source3: %name.sh
Source11: %name-16x16.png
Source12: %name-32x32.png
Source13: %name-48x48.png
Patch1: %name-launcher.patch.bz2
Patch6: %name-vssetup.patch.bz2
Patch7: %name-0.4.3-makefiles.patch
Patch8: %name-0.4.3-char.patch
Patch10: %name-0.4.1-posh.patch.bz2
Patch11: %name-0.4.3-vssetup.patch

Requires: %name-data
# Automatically added by buildreq on Thu Apr 14 2005
BuildRequires: esound gcc-c++ glib-devel gtk+-devel libSDL-devel libSDL_mixer-devel libexpat-devel libglut-devel libjpeg-devel libogg-devel libopenal-devel libpng-devel libstdc++-devel libvorbis-devel python-base python-dev xorg-x11-devel xorg-x11-libs zlib-devel

Provides: /usr/games/vssetup

%description
Vega Strike is a GPL 3d OpenGL Action RPG space sim for
Windows/Linux that allows a player to trade and bounty hunt
in the spirit of Elite. You start in an old beat up Wayfarer
cargo ship, with endless possibility before you and just
enough cash to scrape together a life. Yet danger lurks in
the space beyond.

%prep
%setup -q -a1 -n %name

%__tar -xjf %SOURCE2 -C %_builddir/%name

%patch1 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch10 -p1
%patch11 -p0

%build
%__aclocal
%__autoheader
%__automake --foreign --add-missing
%__autoconf
%configure	--with-bindir=%_gamesbindir \
		--with-data-dir=%_gamesdatadir/%name \
		--with-gl-libs=/usr/X11R6/lib/ \
		--enable-flags="-DGLX_GLXEXT_PROTOTYPES"
%make

pushd vssetup/src
%__make
popd

%install
%makeinstall bindir=$RPM_BUILD_ROOT%_gamesbindir
install -m755 %SOURCE3 $RPM_BUILD_ROOT%_gamesbindir/%name.sh

pushd vssetup/src
%__install -s -m755 vssetup $RPM_BUILD_ROOT%_gamesbindir/
popd


install -d $RPM_BUILD_ROOT%_mandir
for i in *.6; do install -m644 $i -D $RPM_BUILD_ROOT%_mandir/man6/$i; done

%__install -d $RPM_BUILD_ROOT%_menudir
%__cat <<EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%_gamesbindir/%name.sh" \
		icon=%name.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="Vega Strike"\
		longtitle="3D space fight simulator"
EOF

%__install -m644 %SOURCE11 -D $RPM_BUILD_ROOT%_miconsdir/%name.png
%__install -m644 %SOURCE12 -D $RPM_BUILD_ROOT%_iconsdir/%name.png
%__install -m644 %SOURCE13 -D $RPM_BUILD_ROOT%_liconsdir/%name.png

%__install -d $RPM_BUILD_ROOT%_gamesdatadir/%name

%post
%update_menus

%postun
%clean_menus

%files
%defattr(644,root,root,755)
%doc README
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name
%_mandir/man6/*
%dir %_gamesdatadir
%defattr(755,root,root,755)
%_gamesbindir/*

%changelog
* Thu Apr 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.4.3-alt1
- 0.4.3

* Tue Jul 06 2004 Anton Farygin <rider@altlinux.ru> 0.4.1-alt1
- build for Sisyphus (based on MDK specfile)

